- hosts: all

  tasks:

    - name: add asdf 
      lineinfile:
        path: /host/home/.zshrc
        regexp: '^\. \$HOME\/\.asdf\/asdf\.sh'
        line: '. $HOME/.asdf/asdf.sh'

    - name: add asdf completions 
      blockinfile:
        path: /host/home/.zshrc
        block: |
          # append completions to fpath
          fpath=(${ASDF_DIR}/completions $fpath)
          # initialise completions with ZSH's compinit
          autoload -Uz compinit
          compinit

    - name: add plugins for git and docker 
      lineinfile:
        path: /host/home/.zshrc
        regexp: '^plugins='
        line: 'plugins=(git docker)'

    - name: change format for git log output 
      blockinfile:
        path: /host/home/.gitconfig
        block: |
          [pretty]
              my = format:%C(yellow)%h%C(reset) | %C(dim green)%cd%C(reset) | %C(green)%cr%C(reset) | %C(cyan)%s%C(red)%d%C(red)%C(reset) %C(blue)[%an]%C(reset)
          [format]
              pretty = my
